Get all purchase order items for a specific purchase order
https://api.propexo.com/v1/purchase-orders/:purchase_order_id/itemsAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the purchase order
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the purchase order item
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| vendors/getPurchaseOrders |
x12345The external ID of the property from the integration vendor
| Method |
|---|
| vendors/getPurchaseOrders |
property789The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for ENTRATA
nullDescription of the purchase order item
| Method |
|---|
| vendors/getPurchaseOrders |
Concrete mix for foundationThe stock code for the purchase order item
This field will always be null for ENTRATA
nullThe quantity ordered for the purchase order item
| Method |
|---|
| vendors/getPurchaseOrders |
100The unit price, in cents, of the purchase order item
This field will always be null for ENTRATA
nullThe total cost, in cents, of the purchase order item
| Method |
|---|
| vendors/getPurchaseOrders |
500000The cost code of the purchase order item
This field will always be null for ENTRATA
nullThe category code for the purchase order item
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the purchase order
| Method |
|---|
| vendors/getPurchaseOrders |
clxndcxuj000033oza8efbpygThe Propexo unique identifier for the construction job
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the financial account
This field will always be null for ENTRATA
nullcustom_data object | nullrequired
The IDs for invoices that are associated with the purchase order item
This field is not currently hydrated for ENTRATA
The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/purchase-orders/:purchase_order_id/items \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "x12345",
"x_property_id": "property789",
"x_location_id": null,
"description": "Concrete mix for foundation",
"stock_code": null,
"quantity_ordered": 100,
"unit_price_in_cents": null,
"total_cost_in_cents": 500000,
"cost_code": null,
"category_code": null,
"purchase_order_id": "clxndcxuj000033oza8efbpyg",
"construction_job_id": null,
"financial_account_id": null,
"custom_data": "Unknown Type: object,null",
"associated_invoice_ids": [
"string"
],
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA"
}
]
}